Voice Menus & PBX (IVR)
All operations require authentication.
Sounds attached to this telephony accountProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a soundProduction
Path parameters
Sound ID
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Create a soundProduction
Request body (required)
Sound description
Sound filename
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Delete a soundProduction
Path parameters
Sound ID
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a soundProduction
Path parameters
Sound ID
Request body (required)
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List PBX servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a PBX serviceProduction
Path parameters
The name of your billingAccount
Response
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
General type of the service
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "featureType": "aiAgent", "isCCS": true, "serviceName": "string", "serviceType": "alias"}
Update a PBX serviceProduction
Path parameters
The name of your billingAccount
Request body (required)
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
General type of the service
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List dialplansProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a dialplanProduction
Path parameters
The name of your billingAccount
Response
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}
Create a dialplanProduction
Path parameters
The name of your billingAccount
Request body (required)
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Response
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan \
-H "authorization: Bearer $OVH_TOKEN"{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}
Delete a dialplanProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"Update a dialplanProduction
Path parameters
The name of your billingAccount
Request body (required)
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"List extensionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an extensionProduction
Path parameters
The name of your billingAccount
Response
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}
Create an extensionProduction
Path parameters
The name of your billingAccount
Request body (required)
True to enable the extension
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions will be used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}
Delete an extensionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"Update an extensionProduction
Path parameters
The name of your billingAccount
Request body (required)
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"List filtering conditionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering conditionProduction
Path parameters
The name of your billingAccount
Response
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Create a filtering conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
Add a screenlist based on the presented caller number
Add a screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Delete a filtering conditionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"List time conditionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Path parameters
The name of your billingAccount
Response
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Create a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Delete a time conditionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"List extension rulesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an extension ruleProduction
Path parameters
The name of your billingAccount
Response
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}
Create an extension ruleProduction
Path parameters
The name of your billingAccount
Request body (required)
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Response
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}
Delete an extension ruleProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"Update an extension ruleProduction
Path parameters
The name of your billingAccount
Request body (required)
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"Get the queue system settingsProduction
Path parameters
The name of your billingAccount
Response
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"{ "crmUrlTemplate": "string", "g729": true, "name": "string", "statusIvrEnabled": true}
Update the queue system settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"List agentsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agentProduction
Path parameters
The name of your billingAccount
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Create an agentProduction
Path parameters
The name of your billingAccount
Request body (required)
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup for an assigned called
The wrap up time (in seconds) after the calls
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Delete an agentProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agentProduction
Path parameters
The name of your billingAccount
Request body (required)
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"List agent callsProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List the queues of an agentProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position in the queue
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List custom statusesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a custom statusProduction
Path parameters
The name of your billingAccount
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Create a custom statusProduction
Path parameters
The name of your billingAccount
Request body (required)
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Delete a custom statusProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"List queuesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a queueProduction
Path parameters
The name of your billingAccount
Response
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Create a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The name of the queue
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Delete a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"List the agents of a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Path parameters
The name of your billingAccount